petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetLabelIdIS

Get the integer ids in a label

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetLabelIdIS(DM dm, const char name[], IS *ids)

Not Collective

### Input Parameters

| mesh | - The DM object
| name | - The label name

### Output Parameter

ids -The integer ids, or NULL if the label does not exist

### Keywords

mesh

### See Also

DMLabelGetValueIS(), DMGetLabelSize()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html